Bug 839418 - SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/passwd.
SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/pas...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-11 18:15 EDT by Till Maas
Modified: 2012-07-21 18:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-21 18:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Till Maas 2012-07-11 18:15:31 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-5.fc17.x86_64
time:           Do 12 Jul 2012 00:14:57 CEST

:SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/passwd.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If sie denken, dass bash standardmässig erlaubt sein sollte, read Zugriff auf passwd file zu erhalten.
:Then sie sollten dies als Fehler melden.
:Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
:zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
:# grep sh /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:aiccu_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        sh
:Source Path                   /usr/bin/bash
:Port                          <Unbekannt>
:Host                          (removed)
:Source RPM Packages           bash-4.2.29-2.fc17.x86_64
:Target RPM Packages           setup-2.8.48-1.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-137.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-5.fc17.x86_64 #1 SMP
:                              Thu Jul 5 20:20:59 UTC 2012 x86_64 x86_64
:Alert Count                   14
:First Seen                    Mi 11 Jul 2012 22:13:50 CEST
:Last Seen                     Do 12 Jul 2012 00:13:24 CEST
:Local ID                      2c39d9e0-37c4-4b80-bb87-fc5d26846759
:Raw Audit Messages
:type=AVC msg=audit(1342044804.13:98): avc:  denied  { read } for  pid=3196 comm="sh" name="passwd" dev="dm-2" ino=179098 scontext=system_u:system_r:aiccu_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:type=SYSCALL msg=audit(1342044804.13:98): arch=x86_64 syscall=open success=no exit=EACCES a0=7f40a1a836ca a1=80000 a2=1b6 a3=238 items=0 ppid=3183 pid=3196 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=sh exe=/usr/bin/bash subj=system_u:system_r:aiccu_t:s0 key=(null)
:Hash: sh,aiccu_t,passwd_file_t,file,read
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Till Maas 2012-07-11 18:16:30 EDT
This happens when I run
systemctl start aiccu.service
as root.
Comment 2 Miroslav Grepl 2012-07-12 05:38:34 EDT
Fixed in  selinux-policy-3.10.0-138.fc17.noarch
Comment 3 Fedora Update System 2012-07-18 09:05:09 EDT
selinux-policy-3.10.0-140.fc17 has been submitted as an update for Fedora 17.
Comment 4 Fedora Update System 2012-07-19 05:12:00 EDT
Package selinux-policy-3.10.0-140.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-140.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-21 18:52:12 EDT
selinux-policy-3.10.0-140.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.